> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available snapshots for a reference dataset



## OpenAPI

````yaml /openapi/reference-data.json get /reference-data/snapshots/{datasetKey}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /reference-data/snapshots/{datasetKey}:
    get:
      tags:
        - Reference Data
      summary: List available snapshots for a reference dataset
      operationId: referenceData.listSnapshots
      parameters:
        - name: datasetKey
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    datasetKey:
                      type: string
                    recordCount:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    contentHash:
                      anyOf:
                        - type: string
                        - type: 'null'
                    metadata:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    createdAt:
                      type: string
                      format: date-time
                  required:
                    - id
                    - datasetKey
                    - recordCount
                    - contentHash
                    - metadata
                    - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````